Support overload. We are currently seeing 65% more demand for support then we normally see. We can only assume this is because more people are at home due to the corona crises. Our complete support staff is online and they are working flat out, but it will take some days before we can scale up resources. Please be patient.

Jump to content

Archived

This topic is now archived and is closed to further replies.

borug

The Aerosoft Update Database

Recommended Posts

the Aerosoft Update Database

has only v1.11 for 

Twin Otter Extended

Share this post


Link to post
Share on other sites

There are 2 versions of the otter on the database,  DHC-6 Twin Otter X  v1.21 And Twin Otter Extended v1.11.

My key will only work for Twin Otter Extended v1.11

Share this post


Link to post
Share on other sites

Do you recommend the update to 1.2 for p3d v3 users, who have got the older version running successfully in p3d v3 already? Has only the intaller been updated or have compatibility changes been made to the addon itself? 

Share this post


Link to post
Share on other sites

Thank you very much for your response Tom. I still don't really get it.I saw this changelog before. But I am no native english speaker, so maybe that's why i am not getting it right away. But "working out of the box with p3d v3" can mean two things to me. From my undestanding it can mean the installer works for p3d v3 as well, or it means that bugs that occured in p3dv3 with the older version have been removed. For version 1.11 it stated: "installer works with p3d v2" Version 1.12: says "updated for v3". So to me that means, that incompatibilities have been removed, but before reinstalling it I just wanted to make sure, that not only the installer has been updated for installation in p3d v3.

Share this post


Link to post
Share on other sites

the installer contains the 1.11 files for FSX and 1.12 files for P3d V3. But those updates only consist of the tweaks already on the forum so if it works on your system there is no need to re-install.

Share this post


Link to post
Share on other sites

Hi,
I bought the Twin Otter Extended yesterday and i have a problem starting the engines when i follow the checklist, i have heard this might be a issue.

 

I use steam and will the v 1.11 fix this issue?

 

Best regards

Sindre

Share this post


Link to post
Share on other sites

Hello Sindre and welcome to the forums. 

 

You will get better attention for your problem if you wouldn't post it into the first unrelated topic you find, but just open your own one. 

Share this post


Link to post
Share on other sites

×
×
  • Create New...